## org.hibernate.testing.junit.functional
Class DatabaseSpecificFunctionalTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.hibernate.testing.junit.UnitTestCase
                  org.hibernate.testing.junit.functional.FunctionalTestCase
                      org.hibernate.testing.junit.functional.DatabaseSpecificFunctionalTestCase

All Implemented Interfaces:
  junit.framework.Test, ExecutionEnvironment.Settings

    public abstract class DatabaseSpecificFunctionalTestCase

extends FunctionalTestCase

Author:
  Steve Ebersole

Field Summary

Fields inherited from class org.hibernate.testing.junit.functional.FunctionalTestCase
`NO_CLASSES, NO_MAPPINGS`

Constructor Summary
`DatabaseSpecificFunctionalTestCase(String string)`

Method Summary
`protected void` `runTest()` runTest is overridden in order to apply session closure assertions.

Methods inherited from class org.hibernate.testing.junit.functional.FunctionalTestCase

`afterConfigurationBuilt, afterSessionFactoryBuilt, allowsPhysicalColumnNameInHaving, allowsPhysicalColumnNameInOrderby, appliesTo, assertAllDataRemoved, cleanupTest, configure, createSchema, dialectIs, dialectIsCaseSensitive, dialectIsNot, dialectIsNot, dialectIsOneOf, dialectSupportsEmptyInList, getAnnotatedClasses, getBaseForMappings, getCacheConcurrencyStrategy, getCfg, getDialect, getEnvironment, getMappings, getSessions, isSerializableIsolationEnforced, openSession, openSession, overrideCacheStrategy, prepareTest, readCommittedIsolationMaintained, recreateSchemaAfterFailure, setEnvironment, setUp, sfi, skipExpectedFailure, supportsCircularCascadeDelete, supportsExpectedLobUsagePattern, supportsLobValueChangePropogation, supportsResultSetPositionQueryMethodsOnForwardOnlyCursor, supportsSubqueryOnMutatingTable, supportsSubselectOnLeftSideIn, supportsUnboundedLobLocatorMaterialization, tearDown`

Methods inherited from class org.hibernate.testing.junit.UnitTestCase
`assertClassAssignability, assertElementTypeAssignability, createFailureExpectedSuite, fullTestName, reportSkip, runBare`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DatabaseSpecificFunctionalTestCase

    public DatabaseSpecificFunctionalTestCase(String string)

Method Detail

### runTest

    protected void runTest()
                    throws Throwable

  Description copied from class: `FunctionalTestCase`
  runTest is overridden in order to apply session closure assertions.

  Overrides:
    `runTest` in class `FunctionalTestCase`
  Throws:
    `Throwable`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.